Anonymous Login
2019-11-14 09:06 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000022OpenClonkEnginepublic2013-11-06 16:49
ReporterClonk-Karl 
Assigned ToClonk-Karl 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000022: Support real-time rendering of 3D models
DescriptionWith most graphics being 3 times as large as in Clonk Rage, this scales the required space for an object's graphics (and especially animation) at least by a factor of 9, probably even more since animations have to be more detailed now to look decent enough. Using 3D models for objects with many animations the graphics size would not depend on the size they are going to show, or at least not as much. It would also allow easy transitions between animations.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000052

Clonk-Karl (administrator)

I have working code to load an OGRE 3D model from its XML data, and animate and render it using matrix palette skinning. I am currently working on integrating it into OpenClonk.

~0000178

Ape (reporter)

Isn't this bug resolved as implemented now that mesh has been merged into default and it works nicely?

~0000179

Ringwaul (developer)

Yeah, I suppose.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-08 20:19 Clonk-Karl New Issue
2009-07-08 20:20 Clonk-Karl Status new => assigned
2009-07-08 20:20 Clonk-Karl Assigned To => Clonk-Karl
2009-07-08 20:22 Clonk-Karl Note Added: 0000052
2010-01-06 07:59 Ape Note Added: 0000178
2010-01-07 01:34 Ringwaul Note Added: 0000179
2010-01-07 01:35 Ringwaul Status assigned => resolved
2010-01-07 01:35 Ringwaul Resolution open => fixed
2013-11-06 11:46 Newton Fixed in Version => 1.0
2013-11-06 16:49 Newton Status resolved => closed
+Issue History